Page MenuHomePhabricator

[AArch64] Return address signing B key support
ClosedPublic

Authored by LukeCheeseman on Aug 29 2018, 8:08 AM.

Details

Summary
  • Add support to generate AUTIBSP, PACIBSP, RETAB instructions for return address signing
  • The key used to sign the function is controlled by the function attribute "sign-return-address-key"

Diff Detail

Repository
rL LLVM

Event Timeline

LukeCheeseman created this revision.Aug 29 2018, 8:08 AM

Added MIR test for B key support

olista01 accepted this revision.Sep 13 2018, 4:47 AM
olista01 added a subscriber: olista01.

LGTM

This revision is now accepted and ready to land.Sep 13 2018, 4:47 AM
emaste added a subscriber: emaste.Sep 24 2018, 8:23 AM

Hi Luke,

I've just noticed that this hasn't been committed yet, is there another patch which it depends on?

  • Removing CFI_negate_ra_state references as that patch hasn't gone in yet
This revision was automatically updated to reflect the committed changes.